/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jsr203.nio2;

import java.nio.file.FileSystem;
import java.nio.file.FileSystems;
import java.nio.file.Path;

/**
 *
 * @author mstoynov
 */
public class PathExamples {

    public static void main(String... args) {
        resolve();
        relativize();
    }

    public static void resolve() {
        FileSystem fileSystem = FileSystems.getDefault();
        Path currentDir = fileSystem.getPath(".");

        Path srcDir = fileSystem.getPath("src");

        Path file1 = fileSystem.getPath("./Test.java");
        Path file2 = fileSystem.getPath("jsr203/nio2/CopyAFile.java");
       
        System.out.println("Current dir: " + currentDir);
        System.out.println("src dir: " + currentDir.resolve(srcDir));
        System.out.println("file1: " + currentDir.resolve(srcDir).resolve(file1));
        System.out.println("file2: " + currentDir.resolve(srcDir).resolve(file2));
    }

    public static void relativize() {
        FileSystem fileSystem = FileSystems.getDefault();

        Path source = fileSystem.getPath(".");
        Path temp = fileSystem.getPath("/temp");
        Path relativeSource = source.toAbsolutePath().relativize(temp.toAbsolutePath());

        System.out.println(relativeSource);
    }
}
