package project.coin;

import java.util.Arrays;
import java.util.List;
import java.util.concurrent.Callable;

public class E4_SimplifiedVarargsMethodInvocationExample1 {
    /** NOT WORKING in b89, no change with jdk1.6.0_20 */
    public static void main() {
        Callable<String> t = null;

        // THE OLD WAY: Warning: "uses unchecked or unsafe operations"
        List<Callable<String>> merged = asList(t);

        System.out.println(merged);
    }

    // THE NEW WAY: Warning: "unchecked generic array creation"
    private static <T> List<T> asList(T... elements ) {
        return Arrays.asList(elements);
    }
}
